Package com.meterware.httpunit

# Class UnsupportedActionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.meterware.httpunit.UnsupportedActionException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedActionException extends RuntimeException
An exception thrown when an action URL is not supported.

Since:
  1.6
Author:
  Russell Gold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedActionException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedActionException

public UnsupportedActionException(String message)